Loading...
Searching...
No Matches
crc16.h File Reference
Osmocom CRC routines

This was copied from the linux kernel and adjusted for our types. More...

`#include <stdint.h>`
`#include <sys/types.h>`

Go to the source code of this file.

## Functions

uint16_t | osmo_crc16 (uint16_t crc, uint8_t const *buffer, size_t len)
| Compute 16bit CCITT polynome 0x8408 (x^0 + x^5 + x^12) over given buffer.
static uint16_t | osmo_crc16_byte (uint16_t crc, const uint8_t data)
| CRC-16 polynome 0x8005 (x^16 + x^15 + x^2 + 1).
uint16_t | osmo_crc16_ccitt (uint16_t crc, uint8_t const *buffer, size_t len)
| Compute 16bit CCITT polynome 0x8408 (x^0 + x^5 + x^12) over given buffer.
static uint16_t | osmo_crc16_ccitt_byte (uint16_t crc, const uint8_t data)
| CCITT polynome 0x8408 (x^0 + x^5 + x^12).

## Variables

uint16_t const | osmo_crc16_table [256]
| CRC table for the CRC-16.
uint16_t const | osmo_crc16_ccitt_table [256]
| CRC table for the CCITT CRC-6.

## Detailed Description

This was copied from the linux kernel and adjusted for our types.